CertPathValidationResult (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.path

## Class CertPathValidationResult

- java.lang.Object
- - org.bouncycastle.cert.path.CertPathValidationResult

-     public class CertPathValidationResult
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertPathValidationResult(CertPathValidationContext context)`
    `CertPathValidationResult(CertPathValidationContext context, int[] certIndexes, int[] ruleIndexes, CertPathValidationException[] cause)`
    `CertPathValidationResult(CertPathValidationContext context, int certIndex, int ruleIndex, CertPathValidationException cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getCause()`
    `java.util.Set` | `getUnhandledCriticalExtensionOIDs()`
    `boolean` | `isDetailed()`
    `boolean` | `isValid()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertPathValidationResult

          public CertPathValidationResult(CertPathValidationContext context)

    - #### CertPathValidationResult

          public CertPathValidationResult(CertPathValidationContext context,
                                  int certIndex,
                                  int ruleIndex,
                                  CertPathValidationException cause)

    - #### CertPathValidationResult

          public CertPathValidationResult(CertPathValidationContext context,
                                  int[] certIndexes,
                                  int[] ruleIndexes,
                                  CertPathValidationException[] cause)

  - ### Method Detail

    - #### isValid

          public boolean isValid()

    - #### getCause

          public java.lang.Exception getCause()

    - #### getUnhandledCriticalExtensionOIDs

          public java.util.Set getUnhandledCriticalExtensionOIDs()

    - #### isDetailed

          public boolean isDetailed()